Do I need to buy 3.0 again?

Discussion in 'iPod touch' started by mr.steevo, Aug 28, 2009.

  1. mr.steevo macrumors 65816

    mr.steevo

    Joined:
    Jul 21, 2004
    #1
    Hi,

    I had a 1st Gen iPod Touch that I had upgraded to 3.0. It broke so I got a new (2nd Gen) Touch. When I tried to sync my backup iTunes is telling me that I cant' use my backup because my firmware is too old (it has 2.2.1 ??!)

    Do I have to re-purchase 3.0?

    s.
     
  2. iPhone 62S macrumors 6502a

    iPhone 62S

    Joined:
    Aug 18, 2009
    #2
    Seems like it since second gen and first gen touches have different firmwares, so the one you got for your first gen won't work.

    If you don't wanna pay (since you already did, it's not really fair you should do so again IMO) you could always use the torrent site of your choice.
     
  3. mr.steevo thread starter macrumors 65816

    mr.steevo

    Joined:
    Jul 21, 2004
    #3
    I had no idea they are different versions of 3.0.

    As for the torrent suggestion...

    <shrug>

    s.
     
  4. iPhone 62S macrumors 6502a

    iPhone 62S

    Joined:
    Aug 18, 2009
    #4
    There are serperate versions for the first gen and second gen iPod touch. Not exactly sure what the difference is, but I wouldn't risk mucking with trying to install the wrong firmware for your iPod.
     
  5. hugoleveille macrumors member

    Joined:
    Aug 26, 2009
    #5
    I would drop a line to the apple staff, they might give it to you for free
     
  6. Gav2k macrumors G3

    Gav2k

    Joined:
    Jul 24, 2009
  7. goosnarrggh macrumors 68000

    Joined:
    May 16, 2006
    #7
    There is at least one website out there (I don't know if it's against MacRumor's rules to post a link to it) that maintains a database of weblinks directly to Apple.com, whereby you can download any version of firmware for any iPod or iPhone model directly from Apple's own servers, with no payment, no torrents and no peer-to-peer file sharing required.

    Apple is knowingly making these links accessible without any authentication, passwords, etc.

    Since you've already paid for 3.0 once, and that copy of the firmware ended up on a device that is dead, you should start by asking Apple support directly if they'll hook you up. But even if they refuse, I wouldn't feel morally guilty about using this website to download it again if I were you.

    It's right at the top of a Google search for "iPod firmware".
     
  8. mr.steevo thread starter macrumors 65816

    mr.steevo

    Joined:
    Jul 21, 2004
    #8
    Hi goosnarrggh,

    Is that a Welsh name?
    ;)
    I was at the Apple Store today to pick up Snow Leopard and asked them about upgrading to 3.0. They suggested I purchase it again.

    Anyway, I will check out your suggestion and let people know how it worked.

    best,

    s.
     
  9. macsarethebest macrumors regular

    Joined:
    Jun 30, 2009
    #9
    mr.steevo,
    I may be wrong, but I believe there is a 2.2.2 software update. try updating in iTunes. then try the update. good luck:D!
     
  10. mr.steevo thread starter macrumors 65816

    mr.steevo

    Joined:
    Jul 21, 2004
    #10
    Success!

    But in a different way.

    I forgot that I bought the 3.0 firmware on my other Mac. When I plugged in the new Touch into the other computer up came the 3.0 update. All good.

    Thanks for the tips everyone.

    s.
     

Share This Page